<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Generated by Apache Maven Doxia Site Renderer 1.3 at Nov 29, 2016 -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=${outputEncoding}" />
    <title>PMD Results</title>
    <style type="text/css" media="all">
      @import url("./css/maven-base.css");
      @import url("./css/maven-theme.css");
      @import url("./css/site.css");
    </style>
    <link rel="stylesheet" href="./css/print.css" type="text/css" media="print" />
    <meta name="Date-Revision-yyyymmdd" content="20161129" />
    <meta http-equiv="Content-Language" content="en" />
        
        </head>
  <body class="composite">
    <div id="banner">
                      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
            
            
                <div class="xleft">
        <span id="publishDate">Last Published: 2016-11-29</span>
                  &nbsp;| <span id="projectVersion">Version: ${project.version}</span>
                      </div>
            <div class="xright">        
            
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
             
            
                                      <a href="http://maven.apache.org/" title="Built by Maven" class="poweredBy">
        <img class="poweredBy" alt="Built by Maven" src="./images/logos/maven-feather.png" />
      </a>
                   
            
            </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
        <div class="section"><h2>PMD Results<a name="PMD_Results"></a></h2><p>The following document contains the results of <a class="externalLink" href="http://pmd.sourceforge.net/">PMD</a> 5.0.5.</p></div><div class="section"><h2>Files<a name="Files"></a></h2><div class="section"><h3>org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/AMIcallback.java<a name="orgeclipsepapyrusdesignercomponentsmodellibscoremappingrulesAMIcallback.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/AMIcallback.html#L61">61</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/AMIcallback.html#L62">62</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/AMIcallback.html#L167">167</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/AMIpoll.java<a name="orgeclipsepapyrusdesignercomponentsmodellibscoremappingrulesAMIpoll.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/AMIpoll.html#L98">98</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/AMIpoll.html#L99">99</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/AMIpoll.html#L118">118</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/AMIpoll.html#L119">119</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/AMIpoll.html#L160">160</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/ExtendedPort.java<a name="orgeclipsepapyrusdesignercomponentsmodellibscoremappingrulesExtendedPort.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/ExtendedPort.html#L106">106</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/ExtendedPort2.java<a name="orgeclipsepapyrusdesignercomponentsmodellibscoremappingrulesExtendedPort2.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/ExtendedPort2.html#L122">122</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PullConsumer.java<a name="orgeclipsepapyrusdesignercomponentsmodellibscoremappingrulesPullConsumer.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PullConsumer.html#L59">59</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PullConsumer.html#L59">59</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PullConsumer.html#L59">59</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PullConsumer.html#L104">104</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PullConsumer.html#L104">104</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PullConsumer.html#L104">104</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PullConsumer.html#L123">123</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PullConsumer.html#L123">123</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PullConsumer.html#L149">149</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PullConsumer.html#L149">149</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PullConsumer.html#L152">152</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PullConsumer.html#L152">152</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PushConsumer.java<a name="orgeclipsepapyrusdesignercomponentsmodellibscoremappingrulesPushConsumer.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PushConsumer.html#L48">48</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PushConsumer.html#L48">48</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PushConsumer.html#L48">48</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PushConsumer.html#L81">81</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PushConsumer.html#L81">81</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PushConsumer.html#L81">81</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PushProdPullCons.java<a name="orgeclipsepapyrusdesignercomponentsmodellibscoremappingrulesPushProdPullCons.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PushProdPullCons.html#L38">38</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PushProdPullCons.html#L38">38</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PushProdPullCons.html#L38">38</a></td></tr><tr class="a"><td>Avoid unused local variables such as 'derivedInterfacePushProd'.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PushProdPullCons.html#L47">47</a></td></tr><tr class="b"><td>Avoid unused local variables such as 'derivedInterfacePullCons'.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PushProdPullCons.html#L48">48</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PushProducer.java<a name="orgeclipsepapyrusdesignercomponentsmodellibscoremappingrulesPushProducer.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PushProducer.html#L61">61</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PushProducer.html#L61">61</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PushProducer.html#L61">61</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PushProducer.html#L93">93</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PushProducer.html#L93">93</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PushProducer.html#L93">93</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/TemplatePort.java<a name="orgeclipsepapyrusdesignercomponentsmodellibscoremappingrulesTemplatePort.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/TemplatePort.html#L174">174</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/TemplatePort.html#L176">176</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/UseConjIntf.java<a name="orgeclipsepapyrusdesignercomponentsmodellibscoremappingrulesUseConjIntf.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/UseConjIntf.html#L119">119</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/UseConjIntf.html#L121">121</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/UseConjIntf.html#L137">137</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/UseConjIntf.html#L137">137</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/modellibs/core/transformations/ConnectorReification.java<a name="orgeclipsepapyrusdesignercomponentsmodellibscoretransformationsConnectorReification.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/transformations/ConnectorReification.html#L238">238</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/modellibs/core/transformations/ExecuteOOTrafo.java<a name="orgeclipsepapyrusdesignercomponentsmodellibscoretransformationsExecuteOOTrafo.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/transformations/ExecuteOOTrafo.html#L124">124</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/transformations/ExecuteOOTrafo.html#L124">124</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/modellibs/core/transformations/FlattenInteractionComponents.java<a name="orgeclipsepapyrusdesignercomponentsmodellibscoretransformationsFlattenInteractionComponents.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/transformations/FlattenInteractionComponents.html#L76">76</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/transformations/FlattenInteractionComponents.html#L76">76</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/transformations/FlattenInteractionComponents.html#L96">96</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/transformations/FlattenInteractionComponents.html#L96">96</a></td></tr><tr class="b"><td>Avoid empty if statements</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/transformations/FlattenInteractionComponents.html#L101">101</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/transformations/FlattenInteractionComponents.html#L103">103</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/transformations/FlattenInteractionComponents.html#L121">121</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/transformations/FlattenInteractionComponents.html#L175">175</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/modellibs/core/utils/CompDepUtils.java<a name="orgeclipsepapyrusdesignercomponentsmodellibscoreutilsCompDepUtils.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/utils/CompDepUtils.html#L41">41</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/utils/CompDepUtils.html#L43">43</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/utils/CompDepUtils.html#L50">50</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/modellibs/core/utils/CompDepUtils.html#L52">52</a></td></tr></table></div></div>
      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
      <div class="xright">
              Copyright &#169;  All Rights Reserved.      
            
                  </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
